Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene
Class FluxSceneSerializer

    java.lang.Object
      de.grogra.gpuflux.scene.FluxSceneSerializer

    public class FluxSceneSerializer

extends java.lang.Object

Constructor Summary
`FluxSceneSerializer()`

Method Summary
`FluxScene` | `getScene()`
`int` | `getSkyOffset()`
`void` | `serializeBoundingSphere(ComputeByteBuffer boundsStream)`
`void` | `serializeBVH(ComputeByteBuffer computeByteBuffer, boolean asBIH)`
`void` | `serializeCamera(ComputeByteBuffer computeByteBuffer, int width, int height)`
`void` | `serializeChannels(ComputeByteBuffer computeByteBuffer)`
`void` | `serializeCumulativeLightPowerDistribution(ComputeByteBuffer computeByteBuffer)`
`void` | `serializeDetectors(ComputeByteBuffer computeByteBuffer)`
`void` | `serializeLightOffsets(ComputeByteBuffer computeByteBuffer)`
`void` | `serializeLights(ComputeByteBuffer computeByteBuffer)`
`void` | `serializeMeasureSetup(MeasuringSetup measuringSetup)`
`void` | `serializePrimitiveOffsets(ComputeByteBuffer computeByteBuffer)`
`void` | `serializePrimitives(ComputeByteBuffer computeByteBuffer)`
`void` | `serializeScene(FluxScene scene)`
`void` | `serializeSensorBVH(ComputeByteBuffer computeByteBuffer, boolean asBIH)`
`void` | `serializeSensors(ComputeByteBuffer computeByteBuffer)`
`void` | `serializeShaders(ComputeByteBuffer computeByteBuffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FluxSceneSerializer

    public FluxSceneSerializer()

Method Detail

### getScene

    public FluxScene getScene()

### getSkyOffset

    public int getSkyOffset()

### serializeBoundingSphere

    public void serializeBoundingSphere(ComputeByteBuffer boundsStream)

### serializeBVH

    public void serializeBVH(ComputeByteBuffer computeByteBuffer,
                             boolean asBIH)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializeCamera

    public void serializeCamera(ComputeByteBuffer computeByteBuffer,
                                int width,
                                int height)

### serializeChannels

    public void serializeChannels(ComputeByteBuffer computeByteBuffer)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializeCumulativeLightPowerDistribution

    public void serializeCumulativeLightPowerDistribution(ComputeByteBuffer computeByteBuffer)
                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializeDetectors

    public void serializeDetectors(ComputeByteBuffer computeByteBuffer)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializeLightOffsets

    public void serializeLightOffsets(ComputeByteBuffer computeByteBuffer)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializeLights

    public void serializeLights(ComputeByteBuffer computeByteBuffer)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializeMeasureSetup

    public void serializeMeasureSetup(MeasuringSetup measuringSetup)

### serializePrimitiveOffsets

    public void serializePrimitiveOffsets(ComputeByteBuffer computeByteBuffer)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializePrimitives

    public void serializePrimitives(ComputeByteBuffer computeByteBuffer)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializeScene

    public void serializeScene(FluxScene scene)

### serializeSensorBVH

    public void serializeSensorBVH(ComputeByteBuffer computeByteBuffer,
                                   boolean asBIH)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializeSensors

    public void serializeSensors(ComputeByteBuffer computeByteBuffer)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializeShaders

    public void serializeShaders(ComputeByteBuffer computeByteBuffer)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD